Skip to Content

In part 1  I discussed why customers “bother” to upgrade their current Visualization Solutions by Nakisa (VSN) applications.  In this part, I will discuss what you should do to prepare the environment ready to install the upgraded VSN applications. 

Also, for reference, see SAP note 1501039 – STVN/SOVN Upgradability, Compatibility & Maintenance

Upgrade Considerations

If you are upgrading, then it is worth moving to the latest available VSN version; 4.0 SP1 release in April 2013.  As such, I have devised the following table to show which of the following sections you should consider in more detail to upgrade to 4.0; simply read the column of your current VSN application version to determine which upgrade items to consider further.

Note: If you are already on 4.0 SP1 and simply upgrading to a later product build version then you can skip all these checks and move to part 3 of my blog series.


Current VSN Version

Upgrade Consideration

1.x

2.0

2.1

3.0

3.0 SP1

3.0 SP2

3.0

SP3

4.0

Check SAP version

Y

Y

Update ABAP Add-On and Transport

Y

Y Y Y Y Y Y Y

Request a new Serial file

Y

Y Y*

Review hardware

Y

Y Y Y Y Y

Review NW version

Y

Y Y* Y

Review DB Support

Y

Y Y Y Y

Review web browser support

Y

Y Y Y

Review Flash support

Y

Y Y Y

*unless using NW CE version already

Each one of the upgrade considerations is explained in more detail below.

VSN Application

The 4.0 SP1 version is available for download from SMP – see this video for how to navigate to the download directory (as of April 2013, you will find both 4.0 and 4.0 SP01 listed … you only need to download the SP01 package to get 4.0 SP1):

https://youtube.com/watch?v=QiU0FNyq5SY

Before installing, read the rest of this blog and refer to the relevant documentation found within the SMP download package.

SAP ERP/ECC Version

If you are upgrading your VSN applications to 4.0 SP1 then these applications will work on your existing SAP system unless:

  • Your existing SAP system is version SAP R/3 4.7 ext 110.  For SAP R/3 4.7 ext 110 customers, then the highest version you can upgrade to is 2.0 SP3.
  • Your existing SAP system is pre-ECC6 and you are upgrading OrgModeler (support for this won’t be available until 4.0 SP1 along with support for TeamManager pre-ECC6 although support for TeamManager is now extended from 4.0 to cover all versions of ECC6 – even with no enhancement package).
  • You are upgrading SAP TVN applications and you are on ECC 6.0 prior to EhP4.  From 4.0, SAP TVN applications are only supported from EhP4 onwards.


ABAP Add-On

The ABAP Add-On was introduced with version 2.1 and updated with 3.0, 3.0 SP1, 3.0 SP3, 4.0 and 4.0 SP1.  All Add-Ons are backwards compatible, so you can do this part of the upgrade ahead of deploying the latest VSN applications without the risk of conflict.  Read the documentation (“AddOn_VSN40_SP1_xxx_Install.pdf“) on how to install (which is based on your SAP version and whether you have a previous version installed or not).

ABAP Add-On

2.1

3.0* 3.0 SP1 3.0 SP3 4.0 4.0 SP1

Add-On Version

210

300 301 303 400 401

Function Modules

6

16 23 36 106 87

Reason for new function modules

n/a

SuccessionPlanning: Detail panels.

SuccessionPlanning: Job and profile match.

OrgChart: Vacancy handling.

SuccessionPlanning: Dashboards.

OrgChart: “SAP_Live_RFC” build performance.

Performance.

OrgManager support prior to EhP5.

Development Planning.

Structural authorisations.

Bug fixes.

* From OrgChart build 0700046500, the 301 ABAP Add-On introduced with 3.0 SP1 should be used. See note 1589536 – VSN 3.0 SP1 ABAP Add-on required from some VSN 3.0 builds.


Notes: 3.0 SP2 product versions still use the 301 ABAP Add-On introduced with 3.0 SP1.  The ABAP Add-On passwords for VSN 4.0 are found in this SAP knowledge base article. You can check your Add-On version by following this wiki article.

Transport Package

Similarly, the transport package supplied has evolved and there is documentation (“e.g. TransportPackage_VSN30_SP3_ECC6_EhP4-5_Install.pdf“) to support with installation.  Again, they are backwards compatible so you can install when you have installed the ABAP Add-On but ahead of the VSN application deployment.

Transport Package

2.1

3.0

3.0 SP1

3.0 SP3

4.0 4.0 SP1

Version

210

300

301

303

400 401

HR-OCI Evaluation Paths

14

14

15

20

36 43

HR-OCI 6.0 Configuration

6

6

6

10

10 10

HR-OCI 4.6 Organizational Views

3

3

3

3

3 3

Serial File

If you are currently using a SAP NW version of the VSN applications then you will have the appropriate licence (“serial”) file already located in the XML folder below the root of the application.  Take a backup of this file and store it somewhere away from the VSN applications (i.e. not below the root of the application).

If you are running an older version of VSN on a Microsoft .NET server, then you will need to request a new licence file by raising an OSS message under application area XX-PART-NKS-LKY (see 1257386 – Support Process for Nakisa products resold by SAP).

Hardware Recommendation

The minimum requirement for each product version is shown below.  For installations where the user base is above 25,000 users, then please consult an implementation partner to assist you with sizing the system landscape.

Nakisa Release

Hardware Recommendation

CPU / Processor

Memory (RAM)

Hard-disk

1.x

Intel Pentium 4, 2.0 GHz

1 GB

10 GB

2.0

Intel Core 2 Duo, 2.2 GHz

4 GB

20 GB

2.1

Intel Core 2 Duo, 2.2 GHz

4 GB

20 GB

3.0 (incl. all SPs)

Intel 4 Core 3.0 GHz

12 GB

20 GB

4.0 Intel Duo Core 3.0 GHz 16GB 20GB

SAP NetWeaver (NW)

From 2.1, the VSN applications are supported on NW CE 7.1 platforms.  From 3.0 SP2, the applications are also supported on NW CE 7.2 and NW 7.3.  From 4.0 they are only supported on 7.2 (EhP0 SP1 – SP5) and 7.3.

I recommend using SAP NW 7.3 as the application server platform because, in most organisations, using NW CE introduces a new additional “flavour” of NW (“CE”) which the IT department then has to support.  NW 7.3 is a platform that you will come across again for other applications such as Enterprise Portal (EP) or Process Integration (PI).  Of course, if you are upgrading and your current NW version is still supported, then there is no need to change.

Use SAP’s product availability matrix (PAM) to determine the operating systems compatible with the SAP NW version you selected.

Database

In short, the following databases are supported for all 4.0 VSN applications:

  • SQL Server 2005, 2008 or 2012.
  • Oracle 10g (Enterprise), Oracle 11g (Enterprise).
  • DB2 9.1, 9.5, 9.7 or 9.8.

For Oracle it is worth noting that there is a conflict between the database instance property NLS_LENGTH_SEMANTICS value that is required by SAP NetWeaver (BYTE) compared to that required by VSN applications (CHAR).  Host your Oracle database separately from database instance used by SAP NW (separate instance on same server is possible).

Browsers

From VSN 3.0, Internet Explorer 6 (IE6) is no longer supported.  From 4.0 IE7, IE8 and IE9 as well as FireFox 2.x, 3.x and 10.x are supported.

Flash Version

For VSN 3.0, Flash Player 10 is recommended.  From 4.0 Flash Player 10 and 11 are supported.  Flash technologies are used to render the charts by default (although a HTML mode is available) and to display analytical information.  Without Flash, you cannot use these features.

Summary

Hopefully by now you have business buy in for the upgrade to your current VSN application(s) and you have also developed a greater understanding of the environment that you need to prepare. In the final part of my blog series, I’ll talk about how to carry out the upgrade and what the challenges are (and ways to manage them).

To report this post you need to login first.

6 Comments

You must be Logged on to comment or reply to a post.

  1. Andy Silvey

    Hi Stephen,

    great blog, talk about in the nick of time, we’re preparing right now to upgrade Nakisa 2 to 3 on NW Java.

    Thanks,

    Andy.

    (0) 
    1. Stephen Burr Post author

      Thanks Andy, I appreciate you taking the time to feedback.

      I’m about to upgrade an OrgChart 2.0 (.NET) to 3.0 SP3 (NW) with one of my clients, so we are both embarking on the similar journey it seems.  In my scenario the landscape is changing completely and we will re-apply the business requirements … so, ironically, in many ways it isn’t really an “upgrade”! 

      Good luck with your project,

      Stephen

      (0) 
      1. Andy Silvey

        thanks Stephen,

        well to be honest, as long as your blogs stay one step ahead of us it should be a walk in the park 😆

        Andy.

        (0) 
  2. Clementine Wong

    Many thanks Stephen, good timing for us as well with impending upgrade 3.0 to SP3. I’m sure it will save us some legwork! Keep up the great work 🙂

    Clementine

    (0) 

Leave a Reply